"""remove blacklist

Revision ID: 9d5ffa257c80
Revises: 41012c0e5fc8
Create Date: 2018-09-14 17:52:59.409081

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '9d5ffa257c80'
down_revision = '41012c0e5fc8'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('blacklist_tokens')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('blacklist_tokens',
    sa.Column('id', sa.INTEGER(), nullable=False),
    sa.Column('token', sa.VARCHAR(length=500), autoincrement=False, nullable=False),
    sa.Column('blacklisted_on', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.PrimaryKeyConstraint('id', name='blacklist_tokens_pkey'),
    sa.UniqueConstraint('token', name='blacklist_tokens_token_key')
    )
    # ### end Alembic commands ###
